curl --request POST \
--url https://api.usertour.io/v2/projects/{projectId}/event-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"codeName": "<string>",
"displayName": "<string>",
"description": "<string>",
"attributes": [
"<string>"
]
}
'import requests
url = "https://api.usertour.io/v2/projects/{projectId}/event-definitions"
payload = {
"codeName": "<string>",
"displayName": "<string>",
"description": "<string>",
"attributes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
codeName: '<string>',
displayName: '<string>',
description: '<string>',
attributes: ['<string>']
})
};
fetch('https://api.usertour.io/v2/projects/{projectId}/event-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "eventDefinition",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"codeName": "<string>",
"predefined": true,
"attributes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}Create an event definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID
Body
Stable identifier, unique per project. Immutable. Must start with a letter, then letters/digits/underscores, 2–100 chars.
2 - 100^[a-zA-Z][a-zA-Z0-9_]*$Human-readable name.
1Optional description.
codeNames of EXISTING event-scoped attributes to attach to this event — the built-in / predefined ones, custom event properties auto-registered at ingestion when your app tracked an event with a properties payload, or ones pre-defined via the attribute definition first with scope eventDefinition. Unknown codeNames are rejected.
Response
Event definition created
eventDefinition true = a built-in Usertour lifecycle event (flow/launcher/checklist/survey/… started/ended/etc.) — NOT trackable: a tracker can only fire a CUSTOM event. false = a custom event you created.
codeNames of the event-scoped attributes attached to this event.